version: '3.7'

services:
  budget-of-trail-network-editor:
    image: ${IMAGE_NAME}:${IMAGE_TAG:-latest}
    build:
      context: ..
      dockerfile: ${DOCKERFILE:-Dockerfile}
      args:
        NGINX_ALIAS:
    environment:
        NGINX_CACHE_PATH:
        NGINX_LOCATION:
        PUBLIC_HOSTNAME:
        MAP_ITEM_ID:
        TITLE:
        SUBTITLE:
        LOGO_LINK:
    networks:
      traefik-net:
    healthcheck:
      test: wget --spider -q http://localhost/nginx-health || exit 1
      interval: 30s
      timeout: 15s
      start_period: 1m
      retries: 10
    deploy:
      mode: replicated
      replicas: ${REPLICAS:-1}
      restart_policy:
        delay: ${RESTART_DELAY:-0s}
      update_config:
        delay: ${UPDATE_DELAY:-1m}
      resources:
        limits:
          cpus: '${RESOURCES_LIMITS_CPUS:-1}'
          memory: ${RESOURCES_LIMITS_MEMORY:-128M}
        reservations:
          cpus: '${RESOURCES_RESERVATIONS_CPUS:-0.001}'
          memory: ${RESOURCES_RESERVATIONS_MEMORY:-32M}
      labels:
        traefik.enable: 'true'
        traefik.http.routers.budget-of-trail-network-editor.entrypoints: http
        traefik.http.routers.budget-of-trail-network-editor.rule: Host(`${PUBLIC_HOSTNAME}`) && PathPrefix(`${NGINX_LOCATION}`)
        traefik.http.routers.budget-of-trail-network-editor.service: budget-of-trail-network-editor
        traefik.http.services.budget-of-trail-network-editor.loadbalancer.server.port: '${NGINX_PORT}'      

networks:
  traefik-net:
    name: ${TRAEFIK_NET_NAME:-traefik-net}
    driver: ${TRAEFIK_NET_DRIVER:-overlay}
    external: true
